fayne.info
5.1

To install fayne.info 5.1 on your device
visit this page from your mobile browser only

fayne.info is compatible with any iOS device
running iOS 8, iOS 9, iOS 10 & iOS 11

Jailbroken devies must have AppSync installed
NON Jailbroken devices must have iSignCloud
to install fayne.info

Manually download fayne.info .ipa from HERE
for installing via iTunes, iTools or iFunbox.